flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexander Doroshko <alexander.doros...@jetbrains.com>
Subject <target-player>13.0beta</target-player>
Date Thu, 06 Feb 2014 06:56:56 GMT
Hi,
Target player version that is specified in flex-config.xml, 
air-config.xml and airmobile.config must have format
[major_version].[minor_version]
where [major_version] and [minor_version] may contain only digits. The 
same format must be for the folder name where playerglobal.swc resists:
[Flex SDK]/frameworks/libs/player/[major_version].[minor_version]

For the most recent Apache Flex SDK 4.11 + Adobe AIR SDK 4.0beta + Flash 
Player 13.0beta Apache Flex SDK installer creates folder named 
'13.0beta' for playerglobal.swc and corresponding entries in 
xxx-config.xml files:
<target-player>13.0beta</target-player>

This causes compiler to fail with the error:
Error: Invalid version specified, '13.0beta'

Please fix the installer so that it uses [major_version].[minor_version] 
format even for beta versions of playerglobal.swc.

Mime
View raw message